Bug 1000057 - Error Importing Template
Error Importing Template
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.1
All Linux
high Severity medium
: ---
: 3.3.0
Assigned To: Ayal Baron
Tareq Alayan
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 10:59 EDT by james labocki
Modified: 2016-02-10 14:48 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 03:23:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james labocki 2013-08-22 10:59:44 EDT
In trying to import the latest 2 appliances in RHEV:

http://file.rdu.redhat.com/~slinaber/cfme/5.2.0.18-1-puddle-2013-08-13.1/cfme-5.2.0.18-1-puddle-2013-08-13.1-rhevm.ova
http://file.rdu.redhat.com/~slinaber/cfme/5.2.0.18-1/cfme-5.2.0.18-1_v1_rhevm.ova

I am running into this error in the rhev-m web admin console:

Failed to import Template e9923749-d1e2-445a-8299-b1d2e1389c28 to Data Center rhc, Cluster cluster1

And this error in /var/log/ovirt-engine/engine.log:

2013-08-19 20:27:07,895 INFO org.ovirt.engine.core.vdsbroker.irsbroker.GetVmsInfoVDSCommand START, GetVmsInfoVDSCommand( storagePoolId = 05e3f9e5-37c0-42fe-9dc9-53dfbf313282, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = 730019da-c4d2-44cb-ad50-64a696c22e32, vmIdList = null), log id: 2aa93c4f
2013-08-19 20:27:07,933 INFO org.ovirt.engine.core.vdsbroker.irsbroker.GetVmsInfoVDSCommand FINISH, GetVmsInfoVDSCommand, log id: 2aa93c4f
2013-08-19 20:27:08,019 INFO org.ovirt.engine.core.bll.LoginUserCommand Checking if user admin@internal is an admin, result true
2013-08-19 20:27:08,019 INFO org.ovirt.engine.core.bll.LoginUserCommand Running command: LoginUserCommand internal: false.
2013-08-19 20:27:08,055 WARN org.ovirt.engine.core.bll.GetConfigurationValueQuery calling GetConfigurationValueQuery (ApplicationMode) with null version, using default general for version
2013-08-19 20:27:08,450 INFO org.ovirt.engine.core.bll.ImportVmTemplateCommand [38a40379] Running command: ImportVmTemplateCommand internal: false. Entities affected : ID: edf647f9-c7e5-4410-bcb2-3314d20293a2 Type: Storage
2013-08-19 20:27:08,460 INFO org.ovirt.engine.core.bll.ImagesHandler [38a40379] Disk alias retrieved from the client is null or empty, the suggested default disk alias to be used is cb7d1f3f-33d7-4cbe-be02-3a2f452b804e_Disk1
2013-08-19 20:27:08,498 INFO org.ovirt.engine.core.bll.MoveOrCopyImageGroupCommand [5e55eef8] Running command: MoveOrCopyImageGroupCommand internal: true. Entities affected : ID: edf647f9-c7e5-4410-bcb2-3314d20293a2 Type: Storage
2013-08-19 20:27:08,517 INFO org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand [5e55eef8] START, CopyImageVDSCommand( storagePoolId = 05e3f9e5-37c0-42fe-9dc9-53dfbf313282, ignoreFailoverLimit = false, compatabilityVersion = 3.1, storageDomainId = 730019da-c4d2-44cb-ad50-64a696c22e32, imageGroupId = 1be82d4a-2637-460b-80fc-718d5df832ed, imageId = 8800e76f-a7e0-48f4-a9ed-7d3a17dacc3a, dstImageGroupId = 1be82d4a-2637-460b-80fc-718d5df832ed, vmId = cb7d1f3f-33d7-4cbe-be02-3a2f452b804e, dstImageId = 8800e76f-a7e0-48f4-a9ed-7d3a17dacc3a, imageDescription = , dstStorageDomainId = edf647f9-c7e5-4410-bcb2-3314d20293a2, copyVolumeType = SharedVol, volumeFormat = COW, preallocate = Sparse, postZero = false, force = false), log id: 4f6ce237
2013-08-19 20:27:08,517 INFO org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand [5e55eef8] -- CopyImageVDSCommand::ExecuteIrsBrokerCommand: calling 'copyImage' with two new parameters: description and UUID
2013-08-19 20:27:08,517 INFO org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand [5e55eef8] -- copyImage parameters:
sdUUID=730019da-c4d2-44cb-ad50-64a696c22e32
spUUID=05e3f9e5-37c0-42fe-9dc9-53dfbf313282
vmGUID=cb7d1f3f-33d7-4cbe-be02-3a2f452b804e
srcImageGUID=1be82d4a-2637-460b-80fc-718d5df832ed
srcVolUUID=8800e76f-a7e0-48f4-a9ed-7d3a17dacc3a
dstImageGUID=1be82d4a-2637-460b-80fc-718d5df832ed
dstVolUUID=8800e76f-a7e0-48f4-a9ed-7d3a17dacc3a
descr=

2013-08-19 20:27:08,567 ERROR org.ovirt.engine.core.vdsbroker.irsbroker.IrsBrokerCommand [5e55eef8] IrsBroker::Failed::CopyImageVDS due to: IrsOperationFailedNoFailoverException: IRSGenericException: IRSErrorException: Image is not a legal chain: ('1be82d4a-2637-460b-80fc-718d5df832ed',)
2013-08-19 20:27:08,567 INFO org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand [5e55eef8] FINISH, CopyImageVDSCommand, return: 00000000-0000-0000-0000-000000000000, log id: 4f6ce237
2013-08-19 20:27:08,567 ERROR org.ovirt.engine.core.bll.MoveOrCopyImageGroupCommand [5e55eef8] Command org.ovirt.engine.core.bll.MoveOrCopyImageGroupCommand throw Vdc Bll exception. With error message VdcBLLException: org.ovirt.engine.core.vdsbroker.irsbroker.IrsOperationFailedNoFailoverException: IRSGenericException: IRSErrorException: Image is not a legal chain: ('1be82d4a-2637-460b-80fc-718d5df832ed',)
2013-08-19 20:27:08,571 ERROR org.ovirt.engine.core.bll.MoveOrCopyImageGroupCommand [5e55eef8] Transaction rolled-back for command: org.ovirt.engine.core.bll.MoveOrCopyImageGroupCommand.
2013-08-19 20:27:08,571 INFO org.ovirt.engine.core.utils.transaction.TransactionSupport [5e55eef8] transaction rolled back
2013-08-19 20:27:08,571 ERROR org.ovirt.engine.core.bll.ImportVmTemplateCommand [5e55eef8] Command org.ovirt.engine.core.bll.ImportVmTemplateCommand throw Vdc Bll exception. With error message VdcBLLException: ImageIsNotLegalChain
2013-08-19 20:27:08,574 INFO org.ovirt.engine.core.bll.ImportVmTemplateCommand [5e55eef8] Command [id=f0a048bc-ea41-4e63-8833-de8dbbbf819b]: Compensating NEW_ENTITY_ID of org.ovirt.engine.core.common.businessentities.VmNetworkStatistics; snapshot: efe50fb9-94a5-429a-8111-7cb7845c7bd0.
2013-08-19 20:27:08,576 INFO org.ovirt.engine.core.bll.ImportVmTemplateCommand [5e55eef8] Command [id=f0a048bc-ea41-4e63-8833-de8dbbbf819b]: Compensating NEW_ENTITY_ID of org.ovirt.engine.core.common.businessentities.VmNetworkInterface; snapshot: efe50fb9-94a5-429a-8111-7cb7845c7bd0.
2013-08-19 20:27:08,577 INFO org.ovirt.engine.core.bll.ImportVmTemplateCommand [5e55eef8] Command [id=f0a048bc-ea41-4e63-8833-de8dbbbf819b]: Compensating NEW_ENTITY_ID of org.ovirt.engine.core.common.businessentities.DiskImageDynamic; snapshot: 8800e76f-a7e0-48f4-a9ed-7d3a17dacc3a.
2013-08-19 20:27:08,584 INFO org.ovirt.engine.core.bll.ImportVmTemplateCommand [5e55eef8] Command [id=f0a048bc-ea41-4e63-8833-de8dbbbf819b]: Compensating NEW_ENTITY_ID of org.ovirt.engine.core.common.businessentities.DiskImage; snapshot: 1be82d4a-2637-460b-80fc-718d5df832ed.
2013-08-19 20:27:08,586 INFO org.ovirt.engine.core.bll.ImportVmTemplateCommand [5e55eef8] Command [id=f0a048bc-ea41-4e63-8833-de8dbbbf819b]: Compensating NEW_ENTITY_ID of org.ovirt.engine.core.common.businessentities.image_storage_domain_map; snapshot: org.ovirt.engine.core.common.businessentities.image_storage_domain_map_id@354cd00.
2013-08-19 20:27:08,588 INFO org.ovirt.engine.core.bll.ImportVmTemplateCommand [5e55eef8] Command [id=f0a048bc-ea41-4e63-8833-de8dbbbf819b]: Compensating NEW_ENTITY_ID of org.ovirt.engine.core.common.businessentities.Image; snapshot: 8800e76f-a7e0-48f4-a9ed-7d3a17dacc3a.
2013-08-19 20:27:08,590 INFO org.ovirt.engine.core.bll.ImportVmTemplateCommand [5e55eef8] Command [id=f0a048bc-ea41-4e63-8833-de8dbbbf819b]: Compensating NEW_ENTITY_ID of org.ovirt.engine.core.common.businessentities.VmTemplate; snapshot: cb7d1f3f-33d7-4cbe-be02-3a2f452b804e.
2013-08-19 20:27:09,543 INFO org.ovirt.engine.core.vdsbroker.irsbroker.GetVmsInfoVDSCommand START, GetVmsInfoVDSCommand( storagePoolId = 05e3f9e5-37c0-42fe-9dc9-53dfbf313282, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = 730019da-c4d2-44cb-ad50-64a696c22e32, vmIdList = null), log id: 4c34b692
2013-08-19 20:27:09,574 INFO org.ovirt.engine.core.vdsbroker.irsbroker.GetVmsInfoVDSCommand FINISH, GetVmsInfoVDSCommand, log id: 4c34b692

I have no issues importing older appliances or other templates. Any ideas?
Comment 1 Itamar Heim 2013-08-25 02:04:27 EDT
James - any diff between previous ovf and current one, or image chains?
rhev-m version?
Comment 3 james labocki 2013-08-26 09:13:22 EDT
Itamar - I've added slinaber@redhat.com to the cc list who I believe brews the OVF. He is probably a better resource then me for dissecting the image.
Comment 4 Steve Linabery 2013-08-26 10:26:41 EDT
Worth noting that this image's template successfully imports on RHEV 3.2.0-11.30.el6ev, using rhevm-image-uploader-3.1.0-8.el6ev.noarch
Comment 5 Steve Linabery 2013-08-26 13:18:20 EDT
Confirmed that import is failing on RHEVM 3.2.2-0.41.el6ev.

snip:
2013-08-19 20:27:08,567 ERROR org.ovirt.engine.core.vdsbroker.irsbroker.IrsBrokerCommand [5e55eef8] IrsBroker::Failed::CopyImageVDS due to: IrsOperationFailedNoFailoverException: IRSGenericException: IRSErrorException: Image is not a legal chain: ('1be82d4a-2637-460b-80fc-718d5df832ed',)

this error is opaque to me; I don't know what 'Image' is referring to, or what is a legal chain. The UUID in parentheses ('1be82d...') is used twice, looking at the previous INFO output showing the copyParameters:

snip:
srcImageGUID=1be82d4a-2637-460b-80fc-718d5df832ed
srcVolUUID=8800e76f-a7e0-48f4-a9ed-7d3a17dacc3a
dstImageGUID=1be82d4a-2637-460b-80fc-718d5df832ed
Comment 6 Steve Linabery 2013-08-27 11:50:51 EDT
(In reply to james labocki from comment #3)
> Itamar - I've added slinaber@redhat.com to the cc list who I believe brews
> the OVF. He is probably a better resource then me for dissecting the image.

James, can you please confirm the version of rhevm-image-uploader that you are using?
Comment 7 Daniel Erez 2013-08-28 08:53:00 EDT
James, can you please attach full engine/vdsm logs.
Comment 8 James Laska 2013-08-28 15:10:20 EDT
I was able to upload, and import, the latest appliance image [1] using rhevm-image-uploader-3.2.2-2.el6ev without error.

[1] http://file.rdu.redhat.com/~slinaber/cfme/2.1-2013-08-23.4/CloudForms-2.1-2013-08-23.4-rhevm.ova
Comment 9 James Laska 2013-08-28 15:26:08 EDT
(In reply to James Laska from comment #8)
> I was able to upload, and import, the latest appliance image [1] using
> rhevm-image-uploader-3.2.2-2.el6ev without error.

Please note, this includes rhevm-3.2.2-0.41.el6ev
Comment 10 james labocki 2013-08-28 15:43:02 EDT
James Laska, were you able to just untar the image in the export domain too?
Comment 11 James Laska 2013-08-28 16:34:09 EDT
(In reply to james labocki from comment #10)
> James Laska, were you able to just untar the image in the export domain too?

James Labocki, I didn't directly execute any [un]tar commands on the appliance image.  After wget'ing the appliance, I executed ...

>  rhevm-image-uploader -v -e local_export --name CloudForms-2.1-2013-08-23.4-rhevm.ova upload /tmp/CloudForms-2.1-2013-08-23.4-rhevm.ova
Comment 14 Sandro Bonazzola 2013-09-16 03:30:41 EDT
I need some info in order to understand correctly what is happening.
Can you confirm that:

http://file.rdu.redhat.com/~slinaber/cfme/5.2.0.18-1-puddle-2013-08-13.1/cfme-5.2.0.18-1-puddle-2013-08-13.1-rhevm.ova
http://file.rdu.redhat.com/~slinaber/cfme/5.2.0.18-1/cfme-5.2.0.18-1_v1_rhevm.ova

can be imported using:
RHEV 3.2.0-11.30.el6ev, rhevm-image-uploader-3.1.0-8.el6ev.noarch

and cannot be imported using rhevm-image-uploader-3.2.2-2.el6ev ?
If so, please attach also rhevm-image-uploader log file when executed using -v.
I'll try to reproduce the issue on my system.


Can you confirm that:
http://file.rdu.redhat.com/~slinaber/cfme/2.1-2013-08-23.4/CloudForms-2.1-2013-08-23.4-rhevm.ova
can be imported correctly using rhevm-image-uploader-3.2.2-2.el6ev ?

I've found a similar log message in bug #809728, can we check somehow if the ova was created from a hibernated/suspended VM?

Note You need to log in before you can comment on or make changes to this bug.